JUCE: ListenerList< ListenerClass, ArrayType >::Iterator< BailOutCheckerType, ListType > Struct Template Reference

JUCE

Public Member Functions | List of all members
ListenerList< ListenerClass, ArrayType >::Iterator< BailOutCheckerType, ListType > Struct Template Reference
juce_core » containers

Iterates the listeners in a ListenerList. More...

`#include <juce_ListenerList.h>`

## Public Member Functions
| Iterator (const ListType &listToIterate) noexcept
| ~Iterator ()=default
bool | next () noexcept
bool | next (const BailOutCheckerType &bailOutChecker) noexcept
ListType::ListenerType * | getListener () const noexcept

## Detailed Description

template<class ListenerClass, class ArrayType = Array<ListenerClass*>>
template<class BailOutCheckerType, class ListType>
struct ListenerList< ListenerClass, ArrayType >::Iterator< BailOutCheckerType, ListType >

Iterates the listeners in a ListenerList.

## Constructor & Destructor Documentation

## ◆ Iterator()

template<class ListenerClass , class ArrayType = Array<ListenerClass*>>
template<class BailOutCheckerType , class ListType >

ListenerList< ListenerClass, ArrayType >::Iterator< BailOutCheckerType, ListType >::Iterator | ( | const ListType & | listToIterate | ) |
| noexcept

## ◆ ~Iterator()

template<class ListenerClass , class ArrayType = Array<ListenerClass*>>
template<class BailOutCheckerType , class ListType >

ListenerList< ListenerClass, ArrayType >::Iterator< BailOutCheckerType, ListType >::~Iterator | ( |  | ) |
| default

## Member Function Documentation

## ◆ next() [1/2]

template<class ListenerClass , class ArrayType = Array<ListenerClass*>>
template<class BailOutCheckerType , class ListType >

bool ListenerList< ListenerClass, ArrayType >::Iterator< BailOutCheckerType, ListType >::next | ( |  | ) |
| noexcept

Referenced by ListenerList< ListenerClass, ArrayType >::call(), ListenerList< ListenerClass, ArrayType >::callChecked(), ListenerList< ListenerClass, ArrayType >::callCheckedExcluding(), ListenerList< ListenerClass, ArrayType >::callExcluding(), and ListenerList< ListenerClass, ArrayType >::Iterator< BailOutCheckerType, ListType >::next().

## ◆ next() [2/2]

template<class ListenerClass , class ArrayType = Array<ListenerClass*>>
template<class BailOutCheckerType , class ListType >

bool ListenerList< ListenerClass, ArrayType >::Iterator< BailOutCheckerType, ListType >::next | ( | const BailOutCheckerType & | bailOutChecker | ) |
| noexcept

References ListenerList< ListenerClass, ArrayType >::Iterator< BailOutCheckerType, ListType >::next().

## ◆ getListener()

template<class ListenerClass , class ArrayType = Array<ListenerClass*>>
template<class BailOutCheckerType , class ListType >

ListType::ListenerType * ListenerList< ListenerClass, ArrayType >::Iterator< BailOutCheckerType, ListType >::getListener | ( |  | ) | const
| noexcept

The documentation for this struct was generated from the following file:

- juce_ListenerList.h